#
# Conditional build:
%bcond_with	tests		# build with tests
%define		kdeplasmaver	6.2.4
%define		qtver		5.15.2
%define		kpname		libkscreen

Summary:	KDE screen management software
Name:		kp6-%{kpname}
Version:	6.2.4
Release:	1
License:	LGPL v2.1+
Group:		X11/Libraries
Source0:	https://download.kde.org/stable/plasma/%{kdeplasmaver}/%{kpname}-%{version}.tar.xz
# Source0-md5:	d6138bd3fee9280035140b13dd412b34
URL:		http://www.kde.org/
BuildRequires:	Qt6Core-devel >= %{qtver}
BuildRequires:	cmake >= 3.16.0
BuildRequires:	plasma-wayland-protocols-devel >= 1.14.0
BuildRequires:	kf6-extra-cmake-modules
BuildRequires:	ninja
BuildRequires:	rpmbuild(macros) >= 1.164
BuildRequires:	xz
Obsoletes:	kp5-%{kpname} < %{version}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		qt6dir		%{_libdir}/qt6

%description
KDE screen management software.

%package devel
Summary:	Header files for %{kpname} development
Summary(pl.UTF-8):	Pliki nagłówkowe dla programistów używających %{kpname}
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Obsoletes:	kp5-%{kpname}-devel < %{version}

%description devel
Header files for %{kpname} development.

%description devel -l pl.UTF-8
Pliki nagłówkowe dla programistów używających %{kpname}.

%prep
%setup -q -n %{kpname}-%{version}

%build
%cmake -B build \
	-G Ninja \
	%{!?with_tests:-DBUILD_TESTING=OFF} \
	-DKDE_INSTALL_USE_QT_SYS_PATHS=ON \
	-DKDE_INSTALL_DOCBUNDLEDIR=%{_kdedocdir}
%ninja_build -C build

%if %{with tests}
ctest
%endif

%install
rm -rf $RPM_BUILD_ROOT
%ninja_install -C build

%find_lang %{kpname}6_qt --all-name --with-qm

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files -f %{kpname}6_qt.lang
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/kscreen-doctor
%attr(755,root,root) %{_prefix}/libexec/kf6/kscreen_backend_launcher
%dir %{_libdir}/qt6/plugins/kf6/kscreen
%attr(755,root,root) %{_libdir}/qt6/plugins/kf6/kscreen/KSC_Fake.so
%attr(755,root,root) %{_libdir}/qt6/plugins/kf6/kscreen/KSC_QScreen.so
%attr(755,root,root) %{_libdir}/qt6/plugins/kf6/kscreen/KSC_XRandR.so
%attr(755,root,root) %{_libdir}/qt6/plugins/kf6/kscreen/KSC_KWayland.so
%{_datadir}/dbus-1/services/org.kde.kscreen.service
%{_datadir}/qlogging-categories6/libkscreen.categories
%{systemduserunitdir}/plasma-kscreen.service
%{zsh_compdir}/_kscreen-doctor
%attr(755,root,root) %{_libdir}/libKF6Screen.so.*.*
%ghost %{_libdir}/libKF6Screen.so.8
%attr(755,root,root) %{_libdir}/libKF6ScreenDpms.so.*.*
%ghost %{_libdir}/libKF6ScreenDpms.so.8

%files devel
%defattr(644,root,root,755)
%{_libdir}/libKF6Screen.so
%{_libdir}/libKF6ScreenDpms.so
%{_includedir}/KF6/KScreen
%{_includedir}/KF6/kscreen_version.h
%{_libdir}/cmake/KF6Screen
%{_pkgconfigdir}/KF6Screen.pc
%changelog
* Fri Nov 29 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/kp6-libkscreen.git;a=log;h=master

* Tue Nov 26 2024 Witold Filipczyk <witekfl@poczta.onet.pl> cd0cd36
- updated to 6.2.4

* Tue Nov 05 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 7f5e232
- updated to 6.2.3

* Tue Oct 22 2024 Witold Filipczyk <witekfl@poczta.onet.pl> ea5344f
- updated to 6.2.2

* Tue Oct 15 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 981436b
- updated to 6.2.1

* Tue Oct 08 2024 Witold Filipczyk <witekfl@poczta.onet.pl> e872eb4
- updated to 6.2.0

* Tue Sep 10 2024 Witold Filipczyk <witekfl@poczta.onet.pl> b815903
- updated to 6.1.5

* Mon Aug 19 2024 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 04a8334
- BR: plasma-wayland-protocols-devel

* Sun Aug 11 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 3c7bab4
- updated to 6.1.4

* Wed Jul 17 2024 Witold Filipczyk <witekfl@poczta.onet.pl> dd33218
- updated to 6.1.3

* Wed Jul 03 2024 Witold Filipczyk <witekfl@poczta.onet.pl> e8e39b8
- updated to 6.1.2

* Wed Jun 26 2024 Witold Filipczyk <witekfl@poczta.onet.pl> eac8a65
- updated to 6.1.1

* Wed Jun 19 2024 Witold Filipczyk <witekfl@poczta.onet.pl> eedc333
- updated to 6.1.0

* Wed May 22 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 33a0157
- updated to 6.0.5

* Wed Apr 17 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 73e8de2
- updated to 6.0.4

* Wed Mar 27 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 26aaf5c
- updated to 6.0.3

* Wed Mar 13 2024 Witold Filipczyk <witekfl@poczta.onet.pl> b2b5424
- updated to 6.0.2

* Thu Mar 07 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 08c74c9
- updated to 6.0.1

* Sun Mar 03 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 089bbfe
- updated to 6.0.0

